#
# spec file for package mozilla (Version 0.9.8)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp libjpeg liblcms libmng libmng-devel libpng-devel-packages orbit orbit-devel xf86 zip
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel glibc-locale gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libpng-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared zip

Name:         mozilla
Copyright:    MPL 
Provides:     web_browser
Requires:     jre1.3.x
Autoreqprov:  on
Version:      0.9.8
Release:      56
Summary:      The OpenSource version of the Netscape browser
Url:          http://www.mozilla.org
Group:        Productivity/Networking/Web/Browsers
Source:       mozilla-source-%{version}.tar.bz2
Source1:      Mozilla.desktop
Source2:      SuSEconfig.mozilla
Source5:      http://www.mozilla.gr.jp/jlp/mozilla0.9.8-jajppack-v0.1.xpi
Source7:      http://www.hirsch.sth.ac.at/mozilla/mozilla-0.9.8-lang-de-AT.xpi
Source8:      flash_linux-5.0r47.tar.bz2
Source9:      mozgest_0_3_2.xpi
Source10:     mozgest-pref.dif
Source11:     rebuild-databases.sh
Patch0:       nodebug-menu.dif 
Patch1:       run-mozilla.sh.diff
Patch2:       suse-prefs.dif
Patch3:       ia64.dif
Patch4:       mozilla-cjk-config.patch
Patch5:       editor-nodebug-menu.diff
Patch6:       titlebuildID.diff
Patch7:       bookmarks.diff
Patch8:       gdkxft-mozilla.dif
Patch9:       prefsdebug.dif
Patch10:      mozilla-gcc3.diff
Patch11:      mozilla-security.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define releasedate 20020204

%description
Originally based on the Netscape Navigator source, the Mozilla project
grew to the and most advanced webbrowser currently available.
It supports new techniques like CSS2, MathML, (SVG), XML, transparent
PNGs and its look is fully themeable.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: xap

%package devel 
Summary:      Mozilla Developer Environment
Group:        Development/Libraries/X11

%description devel
The mozilla-devel package contains the header files for Mozilla.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: d

%package mail
Summary:      Mozilla's Mailclient
Provides:     mozilla:/opt/mozilla/chrome/messenger.jar
Group:        Productivity/Networking/Web/Browsers
PreReq:     %{name} = %{version}-%{release}

%description mail
Mailclient for the Mozilla browser. It is possible to read and write Usenet articles with this client. With LDAP/IMAP and POP3 support.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: xap

%package xmlterm
Summary:      Mozilla's XML Terminalemulation
Provides:     mozilla:/opt/mozilla/chrome/xmlterm.jar
Group:        Productivity/Networking/Web/Browsers
PreReq:     %{name} = %{version}-%{release}

%description xmlterm
XML Terminal (HTTP-aware) of the Mozilla browser.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: xap

%package irc
Summary:      IRC for Mozilla
Provides:     mozilla:/opt/mozilla/chrome/chatzilla.jar
Group:        Productivity/Networking/Web/Servers
PreReq:     %{name} = %{version}-%{release}

%description irc
IRC (Chatzilla) for Mozilla.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: xap

%package venkman
Summary:      Mozilla's JavaScript debugger
Provides:     mozilla:/opt/mozilla/chrome/venkman.jar
Group:        Productivity/Networking/Web/Browsers
PreReq:   %{name} = %{version}-%{release}

%description venkman
JavaScript debugger of the Mozilla browser.

Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

SuSE series: xap

%prep
%setup -n mozilla -b 8
cd $RPM_BUILD_DIR/mozilla
%patch0
%patch1
%patch2
%patch3
%patch4 -p 1
%patch5
%patch6
%patch7
%patch8 -p 1
%patch9
%patch10 -p 1
%patch11 -p 0
# Remove CVS cruft, if any
rm -rf `find . -name CVS`
# Remove leftovers from a possible previous compilation
rm -rf `find . -name "Linux2*OBJ*"`
rm -rf `find . -name ".#*"`
cat << EOF > content/build/gbdate.h
#define PRODUCT_VERSION "%{releasedate}"
EOF

%build
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1 
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
./configure --enable-configure --disable-tests \
            --disable-debug --enable-optimize="$RPM_OPT_FLAGS" \
            --disable-dtd-debug --sysconfdir=/etc \
            --disable-logging --with-extensions \
            --with-default-mozilla-five-home=/opt/mozilla \
            --disable-short-wchar --prefix=/opt/mozilla \
            --enable-crypto --enable-mathml \
            --enable-xinerama \
            --enable-ldap-experimental --enable-reorder \
            --enable-strip
#export MAKE='gmake -j3' # for faster build
make  

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && \
  rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/opt/mozilla
mkdir -p $RPM_BUILD_ROOT/opt/mozilla/include/idl
# create file lists
cd $RPM_BUILD_DIR/mozilla
rm -f %{_tmppath}/mozilla.list
rm -f %{_tmppath}/mozilla.list.shared
rm -f %{_tmppath}/mozilla.list.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus \
   --output-file %{_tmppath}/mozilla.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package regus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package regus \
   --output-file %{_tmppath}/mozilla.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus \
   --output-file %{_tmppath}/mozilla.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom \
   --output-file %{_tmppath}/mozilla.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package browser \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package browser \
   --output-file %{_tmppath}/mozilla.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
rm -f %{_tmppath}/mozilla-psm.list
rm -f %{_tmppath}/mozilla-psm.list.shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm \
   --output-file %{_tmppath}/mozilla-psm.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm \
   --output-file %{_tmppath}/mozilla-psm.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
rm -f %{_tmppath}/mozilla-mail.list
rm -f %{_tmppath}/mozilla-mail.list.shared
rm -f %{_tmppath}/mozilla-mail.list.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail \
   --output-file %{_tmppath}/mozilla-mail.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail \
   --output-file %{_tmppath}/mozilla-mail.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
rm -f %{_tmppath}/mozilla-chat.list
rm -f %{_tmppath}/mozilla-chat.list.shared
rm -f %{_tmppath}/mozilla-chat.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla \
   --output-file %{_tmppath}/mozilla-chat.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla \
   --output-file %{_tmppath}/mozilla-chat.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
rm -f %{_tmppath}/mozilla-venkman.list
rm -f %{_tmppath}/mozilla-venkman.list.shared
rm -f %{_tmppath}/mozilla-venkman.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package venkman \
   --output-file %{_tmppath}/mozilla-venkman.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package venkman \
   --output-file %{_tmppath}/mozilla-venkman.list.shared \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --source $RPM_BUILD_DIR/mozilla/dist --shared
# copy the files
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list %{_tmppath}/mozilla.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list.shared %{_tmppath}/mozilla.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list %{_tmppath}/mozilla.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list.shared %{_tmppath}/mozilla.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list %{_tmppath}/mozilla-mail.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list.shared %{_tmppath}/mozilla.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list %{_tmppath}/mozilla-chat.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list.shared %{_tmppath}/mozilla-chat.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-venkman.list %{_tmppath}/mozilla-venkman.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-venkman.list.shared %{_tmppath}/mozilla-venkman.package \
   $RPM_BUILD_ROOT/opt/mozilla \
   $RPM_BUILD_DIR/mozilla/dist/bin \
   /opt/mozilla
# copy xmlterm
cp -rL dist/bin/{xmlterm,xcat,xls}   $RPM_BUILD_ROOT/opt/mozilla
cp -rL dist/bin/chrome/xmlterm.jar   $RPM_BUILD_ROOT/opt/mozilla/chrome
cp -rL dist/bin/components/*xmlterm* $RPM_BUILD_ROOT/opt/mozilla/components
# copy devel files
cp -rL dist/include/* $RPM_BUILD_ROOT/opt/mozilla/include
cp -rL dist/idl/*     $RPM_BUILD_ROOT/opt/mozilla/include/idl
cp -rL dist/bin/xpcshell  $RPM_BUILD_ROOT/opt/mozilla
cp -rL dist/bin/xpidl     $RPM_BUILD_ROOT/opt/mozilla
cp -rL dist/bin/xpt_dump  $RPM_BUILD_ROOT/opt/mozilla
cp -rL dist/bin/xpt_link  $RPM_BUILD_ROOT/opt/mozilla
# Link the wrapper script into the binary path
mkdir --parents $RPM_BUILD_ROOT/usr/X11R6/bin
ln -sf /opt/mozilla/run-mozilla.sh $RPM_BUILD_ROOT/usr/X11R6/bin/mozilla
# GNOME desktop definition
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Internet
install -m 644 $RPM_SOURCE_DIR/Mozilla.desktop \
               $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Internet
# install SuSEconfig.mozilla
mkdir --parents $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/sbin/conf.d
##########
# ADDONS
#
cp %{SOURCE11} $RPM_BUILD_ROOT/opt/mozilla
pushd `pwd`
# Japanese Language Pack from http://www.mozilla.gr.jp/
cd $RPM_BUILD_DIR/mozilla/dist
unzip %{SOURCE5} bin/chrome/\*.jar bin/defaults/profile/JP/\* sp/\* sp_nomac/\*
(cd sp; mv google.src google-japan.src; mv google.gif google-japan.gif ; )
mkdir -p $RPM_BUILD_ROOT/opt/mozilla/defaults/profile/ja-JP
cp -rp bin/defaults/profile/JP/* $RPM_BUILD_ROOT/opt/mozilla/defaults/profile/ja-JP/
cp -rp bin/chrome/{ja-JP,JP,ja-unix}.jar $RPM_BUILD_ROOT/opt/mozilla/chrome/
cp -rp sp/* sp_nomac/*  $RPM_BUILD_ROOT/opt/mozilla/searchplugins/
(cd sp; for I in * ; do
  echo "/opt/mozilla/searchplugins/$I" >> %{_tmppath}/mozilla.package
done)
(cd sp_nomac; for I in * ; do
  echo "/opt/mozilla/searchplugins/$I" >> %{_tmppath}/mozilla.package
done)
# german language pack
cd $RPM_BUILD_DIR/mozilla/dist
unzip %SOURCE7 bin/chrome/{de-AT,AT,de-unix}.jar bin/defaults/profile/AT/* 
mkdir -p $RPM_BUILD_ROOT/opt/mozilla/defaults/profile/de-AT
cp -rp bin/defaults/profile/AT/* $RPM_BUILD_ROOT/opt/mozilla/defaults/profile/de-AT/
cp -rp bin/chrome/*.jar      $RPM_BUILD_ROOT/opt/mozilla/chrome/
# install optimoz
cd $RPM_BUILD_DIR/mozilla/dist
unzip %SOURCE9 mozgest/content/*
mkdir -p $RPM_BUILD_ROOT/opt/mozilla/chrome/mozgest
cp -rp mozgest/* $RPM_BUILD_ROOT/opt/mozilla/chrome/mozgest
cd $RPM_BUILD_ROOT/opt/mozilla/chrome
patch -p0 < %SOURCE10
cd mozgest
zip -r ../mozgest.jar content/
cd $RPM_BUILD_ROOT/opt/mozilla/chrome
rm -rf mozgest/
popd
# registry ;-)
pushd $RPM_BUILD_ROOT/opt/mozilla
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regxpcom
cat << EOF >> chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/mozgest.jar!/content/
skin,install,url,jar:resource:/chrome/mozgest.jar!/content/skin/
EOF
cat << EOF >> chrome/installed-chrome.txt
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/global/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/communicator/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/messenger/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/editor/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/navigator/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/necko/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/cookie/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/wallet/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/pipnss/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/pippki/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/help/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/content-packs/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/mozldap/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/chatzilla/
EOF
cat << EOF >> chrome/installed-chrome.txt
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/communicator/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/content-packs/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/cookie/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/editor/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/global/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/help/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/messenger/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/messenger-smime/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/mozldap/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/navigator/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/necko/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/pipnss/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/pippki/
locale,install,url,jar:resource:/chrome/de-AT.jar!/locale/de-AT/wallet/
locale,install,url,jar:resource:/chrome/AT.jar!/locale/AT/communicator-region/
locale,install,url,jar:resource:/chrome/AT.jar!/locale/AT/editor-region/
locale,install,url,jar:resource:/chrome/AT.jar!/locale/AT/global-region/
locale,install,url,jar:resource:/chrome/AT.jar!/locale/AT/messenger-region/
locale,install,url,jar:resource:/chrome/AT.jar!/locale/AT/navigator-region/
locale,install,url,jar:resource:/chrome/de-unix.jar!/locale/de-AT/communicator-platform/
locale,install,url,jar:resource:/chrome/de-unix.jar!/locale/de-AT/global-platform/
locale,install,url,jar:resource:/chrome/de-unix.jar!/locale/de-AT/navigator-platform/
EOF
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regchrome
popd
# install flash
install -m 755 $RPM_BUILD_DIR/flash_linux/libflashplayer.so $RPM_BUILD_ROOT/opt/mozilla/plugins/
install -m 644 $RPM_BUILD_DIR/flash_linux/ShockwaveFlash.class   $RPM_BUILD_ROOT/opt/mozilla/plugins/
# ghost-files
[ -f $RPM_BUILD_ROOT/opt/mozilla/component.reg ] || \
   touch $RPM_BUILD_ROOT/opt/mozilla/component.reg

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
rm -f %{_tmppath}/mozilla*.package
rm -f %{_tmppath}/mozilla*.list
rm -f %{_tmppath}/mozilla*.list.shared

%files -f %{_tmppath}/mozilla.package
%defattr(-,root,root)
%attr(755,root,root) /opt/mozilla/rebuild-databases.sh
%dir /opt/mozilla/defaults/pref
%dir /opt/mozilla/defaults/autoconfig
%dir /opt/mozilla/defaults/profile/US
%dir /opt/mozilla/defaults/profile/ja-JP
%dir /opt/mozilla/defaults/profile
%dir /opt/mozilla/defaults/wallet
%dir /opt/mozilla/defaults
%dir /opt/mozilla/chrome
%dir /opt/mozilla/components
%dir /opt/mozilla/res/builtin
%dir /opt/mozilla/res/html
%dir /opt/mozilla/res/samples
%dir /opt/mozilla/res/entityTables
%dir /opt/mozilla/res/rdf
%dir /opt/mozilla/res
%dir /opt/mozilla/icons
%dir /opt/mozilla/searchplugins
%dir /opt/mozilla/plugins
%dir /opt/mozilla/
%verify (not md5 mtime size) /opt/mozilla/chrome/*.rdf
%verify (not md5 mtime size) /opt/mozilla/components/xpti.dat
%ifnarch armv4l
%verify (not md5 mtime size) /opt/mozilla/chrome/overlayinfo
%endif
%verify (not md5 mtime size) /opt/mozilla/component.reg
# specials
/opt/mozilla/chrome/mozgest.jar
/opt/mozilla/defaults/profile/de-AT
/opt/mozilla/chrome/de-AT.jar
/opt/mozilla/chrome/AT.jar
/opt/mozilla/chrome/de-unix.jar
/opt/mozilla/chrome/JP.jar
/opt/mozilla/chrome/ja-JP.jar
/opt/mozilla/chrome/ja-unix.jar
/usr/X11R6/bin/mozilla
/sbin/conf.d/SuSEconfig.mozilla
/opt/gnome/share/gnome/apps/Internet/Mozilla.desktop  
/opt/mozilla/plugins/libflashplayer.so
/opt/mozilla/plugins/ShockwaveFlash.class

%files mail -f %{_tmppath}/mozilla-mail.package
%defattr(-,root,root)

%files irc -f %{_tmppath}/mozilla-chat.package
%defattr(-,root,root)

%files venkman -f %{_tmppath}/mozilla-venkman.package
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
/opt/mozilla/include
/opt/mozilla/xpcshell
/opt/mozilla/xpidl
/opt/mozilla/xpt_dump
/opt/mozilla/xpt_link

%files xmlterm
%defattr(-,root,root)
/opt/mozilla/xmlterm
/opt/mozilla/xcat
/opt/mozilla/xls
/opt/mozilla/chrome/xmlterm.jar
/opt/mozilla/components/*xmlterm*

%changelog -n mozilla
* Thu May 02 2002 - okir@suse.de
- applied security patch (XMLHTTPRequest redirect bug)
* Mon Feb 11 2002 - stark@suse.de
- readded ja-JP language/region pack
* Fri Feb 08 2002 - stepan@suse.de
- fixed building with gcc 3.x on ppc and alpha
- adopting assembler macros to ABI changes
* Fri Feb 08 2002 - stark@suse.de
- added de-AT language/region pack
- added patch to remove debug menu from preferences
- bzip2 flash-sources
* Tue Feb 05 2002 - stark@suse.de
- update to milestone 0.9.8
  (as always without language-packs)
- update mozgest to compatible 0.3.2
* Tue Feb 05 2002 - stark@suse.de
- minor changes of the configure parameters
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - hhetter@suse.de
- added gdkxft-mozilla patch for TT Font Rendering
* Thu Jan 17 2002 - uli@suse.de
- removed /opt/mozilla/chrome/overlayinfo from filelist for ARM
* Wed Jan 02 2002 - stark@suse.de
- added de-AT language pack for 0.9.7
* Sun Dec 30 2001 - stark@suse.de
- added patch to handle empty file upload forms
  (#116210 bugzilla.mozilla.org)
* Mon Dec 24 2001 - stark@suse.de
- update to 0.9.7
  (deactivated JP and DE language packs as they are not
  available yet)
* Wed Dec 05 2001 - stark@suse.de
- changed cp options again to fix devel-package for version > 7.0
* Sat Dec 01 2001 - stark@suse.de
- added de-AT language pack for 0.9.6
- removed option -L of cp commands (for compatibility with 7.0)
* Mon Nov 26 2001 - stark@suse.de
- made SuSEconfig.mozilla compatible with 7.3 again
- deactivated de-AT language pack (doesn't work for 0.9.6 :-()
* Sat Nov 24 2001 - stark@suse.de
- changed SuSEconfig.mozilla to fit next SuSE-release (Java)
* Sat Nov 24 2001 - stark@suse.de
- reactivated de-AT language pack for 0.9.5 (hopefully works)
* Fri Nov 23 2001 - stark@suse.de
- update to 0.9.6
- update mozgest to 0.3.1
* Wed Nov 14 2001 - stark@suse.de
- minor (cosmetic) change in SuSEconfig.mozilla
- readded Flash-Plugins to %%files
* Mon Nov 12 2001 - stark@suse.de
- added Provides for new subpackages (split-aliases)
- reworked SuSEconfig.mozilla (for subpackages)
* Thu Nov 08 2001 - stark@suse.de
- readded build-id with SuSE extension
- added file to devel-package
* Wed Nov 07 2001 - stark@suse.de
- added bookmark.diff
- removed build-id from title
* Wed Nov 07 2001 - stark@suse.de
- added some devel files
* Tue Nov 06 2001 - stark@suse.de
- rewritten %%install section to use mozilla packaging functions
- split package into sub-packages
* Mon Nov 05 2001 - stark@suse.de
- updated optimoz to RC0.3
* Wed Oct 24 2001 - stark@suse.de
- finally integrated optimoz (disabled and hidden by default)
- install only jar-archives in chrome
- added /opt/mozilla/rebuild-databases.sh
* Wed Oct 24 2001 - hhetter@suse.de
- include idl files in devel-package
* Tue Oct 23 2001 - stark@suse.de
- made SuSEconfig integrate RealPlayer- and Acrobat-Plugin
- requires now jre1.3.x
- added release_date (Gecko)
- moved some files to mode 644
- added patch to disable debug-menu in Composer
- set mailnews-startpage to about:blank
- set very-first startup-page to about:blank
* Mon Oct 22 2001 - mfabian@suse.de
- install Japanese Google-searchplugin under the name
  'google-japan.gif' and 'google-japan.src' in order not to
  overwrite the English original 'google.gif' and 'google.src'.
* Sat Oct 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.5-jajppack-v1.0.xpi
* Tue Oct 16 2001 - stark@suse.de
- update to 0.9.5
- added de_AT language pack
- make SuSEconfig integrate java from package java2
- added Macromedia Flashplayer/Shockwave
- added Optimoz 0.2.6 (partially, not active yet)
* Fri Sep 21 2001 - egger@suse.de
- Add libcms and libmng-devel to neededforbuild as suggested
  by Werner Fink.
* Fri Sep 21 2001 - egger@suse.de
- Redid my former patch to disable Debug menus and default
  to SuSE homepage.
* Fri Sep 21 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.4-langjajp-RC1.xpi
  and mozilla0.9.4-regjp-RC1.xpi
* Thu Sep 20 2001 - draht@suse.de
- merging with BETA-tree from egger@suse.de: upgrade to 0.9.4
* Sat Sep 15 2001 - egger@suse.de
- diff: Removed Debug menus.
- diff: Added sensible default values and default to SuSE homepage.
* Tue Sep 11 2001 - egger@suse.de
- Somehow some non-0.9.3 sources were in the previous tarball.
  Replaced them by the real ones.
* Mon Aug 13 2001 - mfabian@suse.de
- added mozilla-cjk-config.patch again.
  (setup of PostScript fonts for printing Chinese, Japanese and
  Korean, default fonts for Chinese, Japanese and Korean).
* Thu Aug 09 2001 - mfabian@suse.de
- add Japanese language pack mozilla0.9.3-langjajp-RC1.xpi
  and mozilla0.9.3-regjp-RC1.xpi (Korean language packs
  are only available for 0.9.2 and they don't work for 0.9.2,
  therefore they are commented out).
* Sun Aug 05 2001 - egger@suse.de
- Updated to version 0.9.3.
* Thu Jul 05 2001 - egger@suse.de
- Update to 0.9.2.
- Language packs are incompatible and not yet available so they'll
  follow later.
* Wed Jun 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.1-langjajp.xpi
  and mozilla0.9.1-regjp.xpi
* Thu Jun 14 2001 - egger@suse.de
- Update to version 0.9.1.
* Fri May 11 2001 - egger@suse.de
- Fixed severe bugs in SuSEconfig.mozilla script that
  may prevent users from getting a working mozilla.
* Fri May 04 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.8.1-langjajp.xpi
  and mozilla0.8.1-regjp.xpi
* Tue May 01 2001 - egger@suse.de
- Update SuSEconfig.mozilla to use md5 sums
* Wed Apr 04 2001 - mfabian@suse.de
- update Japanese language pack to langjajp-081-RC1.xpi
  and regjp-081-RC1.xpi
* Thu Mar 29 2001 - egger@suse.de
- Updated to version 0.8.1.
* Mon Mar 19 2001 - bk@suse.de
- strip mozilla shared libraries
* Sun Mar 11 2001 - violiet@suse.de
- added Korean and Japanese Language pack.
* Sat Mar 03 2001 - schwab@suse.de
- Try to add support for ia64.
- Fix run-mozilla link.
* Tue Feb 20 2001 - egger@suse.de
- Integrated a reworked version of Bernd Kaindls
  patch to get the beast running from anywhere again.
* Mon Feb 19 2001 - egger@suse.de
- Use BuildRoot.
- Reworked specfile.
- Corrected -devel package.
* Fri Feb 16 2001 - egger@suse.de
- Update to version 0.8.
* Tue Jan 23 2001 - kukuk@suse.de
- Fix use of SOURCE macro
* Tue Jan 23 2001 - kukuk@suse.de
- Move post install section to extra SuSEconfig.mozilla [Bug #5642]
* Mon Jan 22 2001 - mfabian@suse.de
- revert to 16 pt font for Japanese and Chinese. Japanese and
  Chinese characters are almost unreadable at 12pt.
* Sun Jan 21 2001 - violiet@suse.de
- set korean and taiwan ps font printing patch.
- set mozilla used small 12pixels font.
- change improved font for Japanese and Korean.
- added Korean & Japanese Name and Comment in Mozilla.desktop.
* Wed Jan 03 2001 - egger@suse.de
- Quietness patch.
- Enabled JAR file creation.
- Added GNOME icon.
- New wrapper script.
* Sun Dec 24 2000 - bk@suse.de
- set CFLAGS and CXXFLAGS for confgure to $RPM_OPT_FLAGS. With our
  configure flags(--enable-optimize -> adds -O after CFLAGS) enabled
  this enables only the i486 arch code which brought me 5%% speed
  increase in my test(Load page on hay), package size stays the same.
* Wed Dec 20 2000 - egger@suse.de
- Integrated the latest bugfixes.
- Added: Provides: web_browser to the specfile.
* Tue Dec 12 2000 - egger@suse.de
- Update to the real version 0.6.
* Fri Dec 08 2000 - bk@suse.de
- updated to Mozilla 0.6 (milestone release based on the same branch
  as Netscape 6), looks good!
- fixed cp -r install to cp -rL(for forcing to follow the links...)
- fixed postinstall to do an chroot before calling programs...
* Fri Dec 01 2000 - kukuk@suse.de
- Fix spec file syntax
* Fri Dec 01 2000 - egger@suse.de
- Made a new snapshot.
* Wed Nov 22 2000 - egger@suse.de
- Reworked the specfile and of course
- Made a new snapshot.
* Tue Nov 21 2000 - egger@suse.de
- Made a new snapshot.
* Fri Nov 10 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - egger@suse.de
- Made a new snapshot.
* Wed Oct 25 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
- Changed specfile slightly.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
* Sun Oct 08 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 06 2000 - egger@suse.de
- Made a new snapshot.
* Wed Oct 04 2000 - egger@suse.de
- Made a new snapshot.
* Wed Sep 27 2000 - egger@suse.de
- Made a new snapshot.
* Thu Sep 21 2000 - egger@suse.de
- Add mozilla development package to provide the necessary
  headers for embedding the gecko engine.
- Try the new registering.
* Mon Sep 18 2000 - egger@suse.de
- Ok, forgot to save the right specfile... Sorry.
* Mon Sep 18 2000 - egger@suse.de
- New snapshot.
- Removed SPARC patch, the mozilla people applied the patch.
- Tested package on i386.
* Tue Aug 22 2000 - egger@suse.de
- Try a hint from the mozilla people to prevent that ugly mail
  hack.
- Made a new snapshot.
* Tue Jul 11 2000 - egger@suse.de
- Updated to postM17: Lots of bugfixes and perfomanceimprovements.
- Link run-mozilla.sh to /usr/X11/bin/mozilla.
- Correct the wrapper script to work from anywhere.
- Send a mail to the admin after installing mozilla
  to tell him that he has to run mozilla once as root.
* Mon Jul 10 2000 - ro@suse.de
- specfile fix
* Mon Jul 10 2000 - ro@suse.de
- try to call mozilla to create registry
* Fri Jul 07 2000 - kukuk@suse.de
- Add SPARC fix back
* Thu Jul 06 2000 - egger@suse.de
- Unified tarballs.
- Change incorrect strip command.
* Thu Jul 06 2000 - ro@suse.de
- added more dirs
* Wed Jul 05 2000 - egger@suse.de
- Add missing dirs...
* Tue Jul 04 2000 - egger@suse.de
- Use latest bugfix snapshot.
- Try to prevent a bug in libpthreads/nspr by building
  with debugging and strip everything afterwards.
- Enable optimize because it works now.
- Install wrapper script instead of binary into exectuable
  path to work around problems...
* Fri Jun 16 2000 - egger@suse.de
- Use latest snapshot.
- Recheckin since the last update got lost...
- Bumped version to M16.
* Sun Jun 11 2000 - egger@suse.de
- Use latest snapshot.
- Checked out missing dir, too.
* Fri Jun 09 2000 - egger@suse.de
- Use latest snapshot.
* Sat May 27 2000 - egger@suse.de
- Well, maybe I should have replaced all occurences of X11... :)
* Mon May 22 2000 - egger@suse.de
- /usr/X11/bin/mozilla is not allowed anymore, so use
  /usr/X11R6/bin/mozilla.
* Thu May 18 2000 - egger@suse.de
- Checked in new snapshot.
* Mon May 15 2000 - egger@suse.de
- Readded orbit to the requirements.
* Sat May 13 2000 - egger@suse.de
- Checked in completely new .spec-file and the
  latest CVS snapshot.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building mozilla
* Tue Mar 28 2000 - ro@suse.de
- removed optimize
* Thu Mar 23 2000 - ro@suse.de
- update to M14-no-crypto
* Fri Jan 28 2000 - kukuk@suse.de
- Update to M13
- Fix for SPARC
* Tue Jan 25 2000 - ro@suse.de
- update to M12
* Wed Dec 15 1999 - ro@suse.de
- reworked install-section of specfile
* Wed Nov 24 1999 - ro@suse.de
- update to M11
* Wed Oct 20 1999 - ro@suse.de
- added comment for ld-script
* Mon Oct 18 1999 - ro@suse.de
- fixed config.sub for ev6
* Wed Oct 13 1999 - ro@suse.de
- update to M10
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - bs@suse.de
- user glib, gtk instead of glibn, gtkn
- call Check after install
* Thu Jun 03 1999 - ro@suse.de
- update to M6
* Tue Jun 01 1999 - ro@suse.de
- fixed shellscripts for startup
* Tue Jun 01 1999 - ro@suse.de
- moved libraries to /usr/lib/mozilla/lib
  and start using "LD_LIBRARY_PATH"
* Tue Jun 01 1999 - ro@suse.de
- created packages (mozilla and mozillad)
